Package: groovy.ui

## [Java] Class ConsoleTextEditor

- groovy.ui.ConsoleTextEditor

- Component which provides a styled editor for the console.

  Authors:
    hippy
    Danno Ferrin
    Tim Yates
    Guillaume Laforge

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---

    `class JScrollPane`

    `VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

    `class JComponent` | `WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `ConsoleTextEditor()` Creates a new instance of ConsoleTextEditor
    `` | `boolean` | `clipBoardAvailable()`
    `` | `String` | `getDefaultFamily()`
    `` | `Action` | `getPrintAction()`
    `` | `Action` | `getRedoAction()`
    `` | `TextEditor` | `getTextEditor()`
    `` | `Action` | `getUndoAction()`
    `` | `protected void` | `initActions()`
    `` | `void` | `setDefaultFamily(String defaultFamily)`
    `` | `void` | `setEditable(boolean editable)`
    `` | `void` | `setShowLineNumbers(boolean showLineNumbers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class JScrollPane`

    `getAccessibleContext, setLayout, setUI, updateUI, getUIClassID, isValidateRoot, setComponentOrientation, setVerticalScrollBarPolicy, setHorizontalScrollBarPolicy, setViewport, createVerticalScrollBar, setVerticalScrollBar, createHorizontalScrollBar, setHorizontalScrollBar, setViewportView, getColumnHeader, getRowHeader, getVerticalScrollBar, getHorizontalScrollBar, setRowHeader, setColumnHeader, getVerticalScrollBarPolicy, getHorizontalScrollBarPolicy, getViewportBorder, setViewportBorder, getViewportBorderBounds, setRowHeaderView, isWheelScrollingEnabled, setWheelScrollingEnabled, getViewport, setColumnHeaderView, getCorner, setCorner, getUI, getUI, revalidate, disable, firePropertyChange, firePropertyChange, firePropertyChange, repaint, repaint, paintImmediately, paintImmediately, removeNotify, getListeners, setAlignmentX, setAlignmentY, setAutoscrolls, setFocusTraversalKeys, reshape, computeVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, addAncestorListener, removeAncestorListener, getAncestorListeners, addNotify, hide, setInheritsPopupMenu, setComponentPopupMenu, isPaintingTile, isPaintingForPrint, setRequestFocusEnabled, isRequestFocusEnabled, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setBorder, setInputVerifier, getInputVerifier, setDebugGraphicsOptions, getDebugGraphicsOptions, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, requestDefaultFocus, setToolTipText, getToolTipLocation, getPopupLocation, createToolTip, getAutoscrolls, setTransferHandler, getTransferHandler, getVisibleRect, getTopLevelAncestor, setDoubleBuffered, getGraphics, getRootPane, getInheritsPopupMenu, getComponentPopupMenu, isManagingFocus, getDefaultLocale, putClientProperty, setFont, isOptimizedDrawingEnabled, getWidth, getHeight, isLightweightComponent, paint, printAll, getBorder, isDoubleBuffered, getNextFocusableComponent, setNextFocusableComponent, getClientProperty, requestFocus, requestFocus, requestFocusInWindow, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, getInsets, getInsets, getAlignmentY, getAlignmentX, getInputMap, getInputMap, getActionMap, registerKeyboardAction, registerKeyboardAction, setInputMap, setActionMap, getBaseline, getBaselineResizeBehavior, setVisible, setForeground, setBackground, setDefaultLocale, getToolTipText, getToolTipText, getX, getY, scrollRectToVisible, update, contains, getBounds, getLocation, print, getSize, setOpaque, isOpaque, enable, setEnabled, getLayout, getComponents, getComponentCount, getComponentAt, getComponentAt, doLayout, deliverEvent, findComponentAt, findComponentAt, isFocusTraversalPolicyProvider, applyComponentOrientation, addContainerListener, setComponentZOrder, paintComponents, printComponents, removeContainerListener, getContainerListeners, getMousePosition, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, transferFocusDownCycle, invalidate, addPropertyChangeListener, addPropertyChangeListener, preferredSize, minimumSize, insets, countComponents, getComponentZOrder, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, remove, remove, add, add, add, add, add, list, list, validate, removeAll, layout, locate, getComponent, isVisible, handleEvent, postEvent, transferFocusBackward, getMousePosition, getToolkit, getLocationOnScreen, getInputContext, show, show, getColorModel, removeComponentListener, getComponentListeners, removeFocusListener, getFocusListeners, removeHierarchyListener, getHierarchyListeners, removeHierarchyBoundsListener, getHierarchyBoundsListeners, removeKeyListener, getKeyListeners, removeMouseListener, getMouseListeners, removeMouseMotionListener, getMouseMotionListeners, removeMouseWheelListener, getMouseWheelListeners, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, getComponentOrientation, setMixingCutoutShape, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, repaint, repaint, repaint, removePropertyChangeListener, removePropertyChangeListener, isFocusOwner, imageUpdate, isLightweight, setBounds, setBounds, setLocation, setLocation, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getGraphicsConfiguration, dispatchEvent, isFocusable, transferFocus, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, inside, mouseEnter, mouseExit, mouseMove, mouseDown, mouseDrag, mouseUp, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, hasFocus, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addInputMethodListener, addHierarchyListener, addHierarchyBoundsListener, addMouseWheelListener, setDropTarget, getDropTarget, enableInputMethods, isForegroundSet, isBackgroundSet, isFontSet, setCursor, getCursor, isCursorSet, paintAll, setIgnoreRepaint, getIgnoreRepaint, getForeground, getFont, getTreeLock, getFocusCycleRootAncestor, isDisplayable, nextFocus, requestFocus, requestFocusInWindow, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, getName, remove, size, toString, add, contains, list, list, list, getBounds, isEnabled, bounds, location, getLocation, getParent, action, setName, getSize, resize, resize, enable, move, getLocale, setLocale, isValid, setSize, setSize, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class JComponent`

    `revalidate, disable, firePropertyChange, firePropertyChange, firePropertyChange, repaint, repaint, paintImmediately, paintImmediately, removeNotify, getListeners, updateUI, setAlignmentX, setAlignmentY, setAutoscrolls, setFocusTraversalKeys, reshape, computeVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, addAncestorListener, removeAncestorListener, getAncestorListeners, addNotify, getUIClassID, hide, setInheritsPopupMenu, setComponentPopupMenu, isPaintingTile, isPaintingForPrint, setRequestFocusEnabled, isRequestFocusEnabled, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setBorder, setInputVerifier, getInputVerifier, setDebugGraphicsOptions, getDebugGraphicsOptions, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, requestDefaultFocus, setToolTipText, getToolTipLocation, getPopupLocation, createToolTip, getAutoscrolls, setTransferHandler, getTransferHandler, getVisibleRect, getTopLevelAncestor, isValidateRoot, setDoubleBuffered, getUI, getGraphics, getRootPane, getInheritsPopupMenu, getComponentPopupMenu, isManagingFocus, getDefaultLocale, putClientProperty, setFont, isOptimizedDrawingEnabled, getWidth, getHeight, isLightweightComponent, paint, printAll, getBorder, isDoubleBuffered, getNextFocusableComponent, setNextFocusableComponent, getClientProperty, requestFocus, requestFocus, requestFocusInWindow, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, getInsets, getInsets, getAlignmentY, getAlignmentX, getInputMap, getInputMap, getActionMap, registerKeyboardAction, registerKeyboardAction, setInputMap, setActionMap, getBaseline, getBaselineResizeBehavior, setVisible, setForeground, setBackground, setDefaultLocale, getToolTipText, getToolTipText, getX, getY, scrollRectToVisible, update, contains, getBounds, getLocation, print, getSize, setOpaque, isOpaque, enable, setEnabled, getLayout, getComponents, getComponentCount, getComponentAt, getComponentAt, doLayout, deliverEvent, findComponentAt, findComponentAt, isFocusTraversalPolicyProvider, applyComponentOrientation, addContainerListener, setComponentZOrder, paintComponents, printComponents, removeContainerListener, getContainerListeners, getMousePosition, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, transferFocusDownCycle, invalidate, setLayout, addPropertyChangeListener, addPropertyChangeListener, preferredSize, minimumSize, insets, countComponents, getComponentZOrder, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, remove, remove, add, add, add, add, add, list, list, validate, removeAll, layout, locate, getComponent, isVisible, handleEvent, postEvent, transferFocusBackward, getAccessibleContext, getMousePosition, getToolkit, getLocationOnScreen, getInputContext, show, show, getColorModel, removeComponentListener, getComponentListeners, removeFocusListener, getFocusListeners, removeHierarchyListener, getHierarchyListeners, removeHierarchyBoundsListener, getHierarchyBoundsListeners, removeKeyListener, getKeyListeners, removeMouseListener, getMouseListeners, removeMouseMotionListener, getMouseMotionListeners, removeMouseWheelListener, getMouseWheelListeners, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, getComponentOrientation, setMixingCutoutShape, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, repaint, repaint, repaint, removePropertyChangeListener, removePropertyChangeListener, isFocusOwner, imageUpdate, isLightweight, setBounds, setBounds, setLocation, setLocation, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getGraphicsConfiguration, dispatchEvent, isFocusable, transferFocus, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, inside, mouseEnter, mouseExit, mouseMove, mouseDown, mouseDrag, mouseUp, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, hasFocus, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addInputMethodListener, addHierarchyListener, addHierarchyBoundsListener, addMouseWheelListener, setComponentOrientation, setDropTarget, getDropTarget, enableInputMethods, isForegroundSet, isBackgroundSet, isFontSet, setCursor, getCursor, isCursorSet, paintAll, setIgnoreRepaint, getIgnoreRepaint, getForeground, getFont, getTreeLock, getFocusCycleRootAncestor, isDisplayable, nextFocus, requestFocus, requestFocusInWindow, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, getName, remove, size, toString, add, contains, list, list, list, getBounds, isEnabled, bounds, location, getLocation, getParent, action, setName, getSize, resize, resize, enable, move, getLocale, setLocale, isValid, setSize, setSize, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public def ConsoleTextEditor()

      Creates a new instance of ConsoleTextEditor

    - #### public boolean clipBoardAvailable()

    - #### public String getDefaultFamily()

    - #### public Action getPrintAction()

    - #### public Action getRedoAction()

    - #### public TextEditor getTextEditor()

    - #### public Action getUndoAction()

    - #### protected void initActions()

    - #### public void setDefaultFamily(String defaultFamily)

    - #### public void setEditable(boolean editable)

    - #### public void setShowLineNumbers(boolean showLineNumbers)